# The COPYRIGHT file at the top level of this repository contains the full
# copyright notices and license terms.
from trytond.pool import Pool
import company
import sale
import account


def register():
    Pool.register(
        company.Company,
        company.ConnectionCompanies,
        sale.Sale,
        sale.SaleIncomeDailyStart,
        sale.SaleMonthByShopStart,
        sale.SaleGoalAnnualRankingStart,
        sale.SaleDetailedStart,
        sale.ShopDailySummaryStart,
        account.PrintBalanceSheetCOLGAAPStart,
        account.PrintIncomeStatementCOLGAAPStart,
        module='syncronize_companies', type_='model')
    Pool.register(
        sale.SaleDailyReport,
        sale.SaleDetailedReport,
        sale.PortfolioDetailedReport,
        account.BalanceSheetCOLGAAP,
        account.IncomeStatementCOLGAAP,
        module='syncronize_companies', type_='report')
    Pool.register(
        account.PrintBalanceSheetCOLGAAP,
        account.PrintIncomeStatementCOLGAAP,
        module='syncronize_companies', type_='wizard')
